%define ver     	0.9.9.5
%define name		rubrica
%define rel      	5
%define prefix   	/usr
%define sysconfdir	/etc

Name:      %name
Summary:   Rubrica, an address book for Gnome Environment.
Version:   %ver
Release:   %rel
Copyright: GPL
Group:     Applications
Source:    %{name}-%{PACKAGE_VERSION}.tar.bz2
URL:       http://digilander.iol.it/nfragale
Vendor:    Nicola Fragale <nicolafragale@libero.it>
Packager:  Nicola Fragale <nicolafragale@libero.it>
BuildRoot: %{_tmppath}/%{name}-%{version}-buidroot
Requires:  libgnomeui >= 2.0
BuildRequires: libgnomeui-devel

#Requires:  libgnomeui >= 2.0, libmcrypt, bash, rubrica-libs = 0.9.9.5
#BuildRequires: libgnomeui-devel, libmcrypt-devel

#Requires:  glib >= 2.0
#Requires:  gtk+ >= 2.0
#Requires:  gnome-libs >= 1.2.11
#Requires:  libxml2 >= 2.4.16
#Requires:  GConf  >= 0.9

#BuildRequires: glib-devel >= 1.2.8
#BuildRequires: gtk+-devel >= 1.2.8
#BuildRequires: gnome-libs-devel >= 1.2.11
#BuildRequires: libxml2-devel >= 2.4.16
#BuildRequires: GConf-devel >= 0.9

%description
An address book for Gnome. 
Una rubrica per gnome.

## %package libs
## Summary:	Shared library for Rubrica
## Group:	System Environment/Libraries
## Requires:	libmcrypt, mhash, zlib, bzip2-libs
## BuildPrereq:    libmcrypt-devel, mhash-devel, zlib-devel, bzip2-devel

## %package devel
## Summary:	Headers and static libraries for rubrica-lib
## Group:		Development/Libraries
## Requires:	libmcrypt, mhash, zlib, bzip2-libs
## BuildPrereq:    libmcrypt-devel, mhash-devel, zlib-devel, bzip2-devel

## %description libs
## This library have been originally developed for Gringotts, but can be
## used for any data encryption pourpose, when it's needed to encrypt simply,
## quickly and safely some data to a file. And to read from it, of course.
## The interface is really simple, and the library provides also some more
## security-related utility functions.

## %description devel
## These are the files needed to develop applications with libRubrica


%prep
rm -rf $RPM_BUILD_ROOT


%setup
autoconf
automake


%build
LC_ALL=""
LANG=""
export LC_ALL LANG
##  unset LINGUAS
CFLAGS="$RPM_OPT_FLAGS -Wall" ./configure --prefix=%{prefix} --sysconfdir=%{sysconfdir} --datadir=%{_datadir} --disable-install-schemas
make 
##  RPM_OPT_FLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} datadir=$RPM_BUILD_ROOT%{_datadir} install 


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)

%doc README ChangeLog COPYING AUTHORS NEWS TODO doc/examples.rub

%{prefix}/bin/*
%{prefix}/share/rubrica/script/*
%{prefix}/share/rubrica/stylesheet/*
%{prefix}/share/rubrica/nautilus-script/*
%{prefix}/share/locale/*/LC_MESSAGES/rubrica.mo
%{prefix}/share/pixmaps/rubrica/*
%{prefix}/share/gnome/apps/Applications/rubrica.desktop
%{sysconfdir}/gconf/schemas/rubrica.schemas


## %files libs
## %attr( 0644, root, root ) %prefix/lib/*.so.*

## %files devel
## %attr( 0644, root, root ) %prefix/lib/*.so
## %attr( 0644, root, root ) %prefix/lib/*.a
## %attr( 0644, root, root ) %prefix/lib/*.la
## %attr( 0644, root, root ) %prefix/include/*
## %attr( 0644, root, root ) %prefix/lib/pkgconfig/*



%post
echo installing rubrica.schemas
gconftool --shutdown
## export GCONF_CONFIG_SOURCE=xml::%{sysconfdir}/gconf/gconf.xml.defaults 
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool --makefile-install-rule %{sysconfdir}/gconf/schemas/rubrica.schemas > /dev/null 2>&1

echo -----------------------------------------------------
echo   md5sum of %{prefix}/bin/rubrica
echo
md5sum %{prefix}/bin/rubrica|(read A B; echo $A)
echo
echo use this value to check program integrity at any time
echo -----------------------------------------------------

## libs -p /sbin/ldconfig

## %postun libs -p /sbin/ldconfig
